Solidmodeling – Übersicht

Im Gegensatz zu Draht- und Flächenmodellen, die aus einem Satz von Kurven bzw. Flächen bestehen, ist ein Solidmodell, ungeachtet seiner Komplexität, ein einzelnes Element, das aus mehreren Solidkörpern bestehen kann. Sie arbeiten mit einem Solidmodell als Ganzes wie beim Formen eines Stück Tons, statt eine Reihe unzusammenhängender Elemente zu einem Modell zusammenzufügen. Sie können ein Solid beispielsweise verrunden, es dann aushöhlen und sogar mit einem anderen Solid kombinieren - es bleibt stets ein einzelnes Element.

Da ein Solid ein geschlossenes, strukturiertes Modell ist, kann Mastercam Veränderungen sowohl im Inneren als auch am Äußeren des Modells für Sie verfolgen. Diese Eigenschaft vereinfacht die Solid-Modellierung, da Mastercam die Komplexität des Modells im Hintergrund verwaltet. So müssen Sie niemals bestimmen, welche Flächen Sie behalten oder trimmen möchten, wenn Sie Operationen an einem Solid durchführen. Mastercam erledigt das automatisch für Sie und erhält dabei jedes Solid immer als einzelnes Element.

Verwandte Themen

  • Bearbeiten von Solidmodellen

  • Solids - Assoziativität

  • Erzeugen eines Solidmodells

Didn't find what you were looking for?
Click here.

Copyright © 2015 by CNC Software, Inc.


Erzeugen eines Solidmodells

Mit wenigen einfachen Schritten können Sie in Mastercam ein Solidmodell entwerfen und bearbeiten. Die nachfolgend umrissenen Schritte geben Ihnen einen Überblick über den Ablauf der Solidmodellierung in Mastercam. Diese Schritte können Sie dann auf Ihr eigenes Solidmodell übertragen.

Schritt 1: Entwerfen einer Basisoperation

Ein Solid ist durch eine oder mehrere Operationen definiert. Mit der ersten Operation, Basisoperation genannt, wird das Solid erzeugt. Eine Basisoperation wird im Solids-Manager immer als erste Operation unter dem Solid aufgeführt. Sie kann in der Operationsliste nicht verschoben oder daraus gelöscht werden. Eine Basisoperation kann durch folgende Verfahren erzeugt werden:

  • Definieren Sie ein Solid, indem Sie die Funktionen „Austragen“, „Rotation“, „Swept“ oder „Loft“ auf Geometrieketten anwenden.

  • Definieren Sie ein Solid anhand vordefinierter Primitivenformen wie Zylinder, Konus, Block, Kugel oder Ring (Torus).

  • Importieren Sie einen Solid aus einer anderen Anwendung (Parasolid, SAT, SolidWorks, Solid Edge, Catia, Pro/Engineer, STEP und andere).

Schritt 2: Erzeugen weiterer Operationen.

Sobald die Basisoperation erzeugt wurde, können Sie das Solid mit folgenden Operationen ändern:

  • Material durch einen oder mehrere Schnitte auf einem Zielsolid entfernen

  • Material durch eine oder mehrere Auftragungen auf ein Zielsolid hinzufügen

  • Solidränder durch Verrunden glätten

  • Solidkanten abschrägen (anfasen)

  • Solids aushöhlen und wahlweise mit Startbohrungen versehen

  • Boolesche Operationen durchführen: Solids zusammenführen, voneinander abziehen, gemeinsame Solid-Volumenbereiche finden

  • Formschrägen erzeugen

  • Solids zu einer Ebene oder Fläche trimmen

Schritt 3: Verwalten der Solid-Operationen.

Im Solids-Manager sind die Operationen aufgelistet, die zum Definieren aller Solids in der aktuellen Datei durchgeführt wurden. Sie können eine Operation innerhalb des Modells lokalisieren, die Komponenten (Geometrie und Parameter) einer Operation bearbeiten, ein Solidmodell in verschiedenen Entwicklungsstadien überprüfen und alle oder einzelne Solids regenerieren.

Schritt 4: Verwalten des Solids.

Sie können in Mastercam Werkzeugwege direkt auf Solidgeometrie erzeugen, indem Sie im Menü „Maschinentyp“ eine Maschinendefinition wählen. Erzeugen Sie dann mit Funktionen des Menüs „Werkzeugwege“ die erforderlichen Werkzeugwege.

Verwandte Themen

  • Bearbeiten von Solidmodellen

  • Solids-Manager

  • Solidmodeling – Übersicht


Assoziativität von Solids

Bei Solids versteht man unter Assoziativität das Abhängigkeitsverhältnis zwischen einem Solid, den Operationen, die es definieren und sämtlicher Geometrie, die zu ihrer Definition gewählt wurde. Wenn Sie eine Solid-Operation, wie Austragen, Runden oder Formschräge ausführen, verknüpft Mastercam diese mit dem Solid, das durch diese Operation erzeugt oder geändert wird. Diese Verknüpfung kann nur durch das Löschen der Operation aufgehoben werden.

Da eine Operation mit dem Solid verknüpft ist, das durch sie erzeugt oder geändert wird, können Operationen nicht zu anderen Solids hinzukopiert oder verschoben werden. Wenn Sie zum Beispiel eine Rundungs-Operation neu verketten, dann müssen sich alle neu gewählten Ränder auf demselben Solid befinden, wo die Operation ursprünglich definiert wurde. Zum Verrunden der Kanten eines anderen Solids müssen Sie für dieses eine neue Verrundungsoperation erzeugen.

Durch Assoziativität ist es nicht notwendig, ein Solid bei jeder Änderung neu zu erzeugen. Nachdem Sie Geometrie und Parameter einer Operation bearbeitet haben, können Sie das Solid regenerieren, um die Änderungen zu übernehmen. Die folgenden Begriffe beschreiben eine Solid-Operation und den aktuellen Status ihrer Assoziativität (Klicken Sie auf die folgenden links, um die jeweiligen Definitionen einzublenden):

Bereinigt (bzw. gültig):

Eine Operation, deren Definitionsparameter und -geometrie mit dem verknüpften Solid übereinstimmen. In diesem Zustand sind alle neu erstellten Operationen und solche, die erfolgreich regeneriert wurden. Soll ein Solid stabil und aktuell sein, so sollten seine Operationen bereinigt sein.

Wird im Solids-Manager durch folgendes Symbol angezeigt:

Unbereinigt (bzw. ungültig):

Eine Operation, deren Definitionsparameter bzw. -geometrie sich geändert haben und nicht mehr mit dem verknüpften Solid übereinstimmen. Mastercam kennzeichnet jede unbereinigte Operation und ihren verknüpften Solid im Solids-Manager mit einem roten X. Sie können unbereinigte (bzw. ungültige) Operationen korrigieren, indem Sie sie regenerieren.

Wird im Solids-Manager durch folgendes Symbol angezeigt:

Ungültig

Eine Operation, die aufgrund eines Problems in ihrer Geometrie bzw. ihren Parametern fehlerhaft ist und deshalb nicht regeneriert werden kann. Eine allgemeine Ursache für ungültige Operationen ist das Löschen von Geometrie, die eine Operation definiert. Mastercam kennzeichnet jede ungültige Operation und ihren verknüpften Solid im Solids-Manager mit einem gelben Fragezeichen (?). Sie können versuchen, eine ungültige Operation zu korrigieren, indem Sie die Parameter und/oder die Geometrie der Operation ändern und die Operation dann regenerieren.

Wird im Solids-Manager durch folgendes Symbol angezeigt:

Assoziativität kann auch zwischen einer Reihe von Solid-Operationen bestehen. Wenn beispielsweise durch eine Schnittoperation ein neues Face entsteht und dieses Face verrundet wird, dann ist die Verrundungsoperation von der Schnittoperation abhängig. Wenn Sie die Schnittoperation löschen, entfernt Mastercam auch die Verrundungsoperation, da der Rand, der die Verrundungsoperation definiert hat, nicht mehr vorhanden ist. In der Operationsliste im Solids-Manager steht eine definierende Operation immer vor einer abhängigen.

Assoziativität besteht zwischen einzelnen Solids einer Mastercam-Datei nur dann, wenn sie in Boole´schen Operationen verwendet werden. Wenn Sie eine Boole'sche Operation durchführen, verknüpft Mastercam den Werkzeugkörper nach Möglichkeit mit dem Zielkörper, außer Sie entscheiden sich für die Durchführung einer nichtassoziativen Boole'schen Operation zum Entfernen eines Bereiches oder zum Auffinden gemeinsamer Bereiche.

Verwandte Themen

  • Bearbeiten von Solidmodellen

  • Solids-Manager

  • Solids-Manager – Kurzübersicht


Dialogfeld &bdquo;Detail“ (Solid Zeichnungsableitung)

Dialogfeld „Detail“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit Hilfe dieses Dialogfelds vergrößern (zoomen) Sie einen Bereich ihrer Teile-Zeichnung und fügen diesen detaillierten Ausschnitt in die Zeichnung ein. Dabei wählen Sie in einer der Zeichnungsebenen den Zentrumspunkt (Basispunkt), der, wie folgt, die Basis einer kreisförmigen oder rechteckigen Umrandung des Zoom-Bereichs definiert:

  • Rechteck: Definiert einen Ankerpunkt an der Ecke eines Rechtecks, das den Zoom-Bereich umrandet.

  • Kreis: Definiert einen Basispunkt im Mittelpunkt eines Kreises, der den Zoom-Bereich umfasst.

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Dialogfeld &bdquo;Schnitt“ (Solid Zeichnungsableitung)

Dialogfeld „Schnitt“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Definieren Sie mit Hilfe dieses Dialogfelds den Typ der Querschnittansicht, die Sie Ihrem Zeichnungslayout hinzufügen möchten. Klicken Sie auf die Links, um Beispiele einzublenden:

  • Gerade: Horizontal, Vertikal oder 2 Punkte

  • Zick-Zack: Horizontal oder Vertikal

  • 3D-Ebene

Hinweise:

  • In diesem Kontext beziehen sich „horizontal“ und „vertikal“ auf Ihren Bildschirm. So entsteht beispielsweise bei einem geraden horizontalen Schnitt auf Basis eines Punktes aus einer Draufsicht derselbe Schnitt wie bei einem geraden vertikalen Schnitt auf Basis eines Punktes aus einer Seitenansicht. Ein gerader horizontaler Schnitt durch eine isometrische Ansicht erscheint als diagonaler Schnitt durch das Teil.

  • Beim Erzeugen der Schnittansicht fügt Mastercam in alle betroffenen Ansichten kurze Liniensegmente ein, die die genaue Lage und Ausrichtung des Schnittes anzeigen.

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Dialogfeld &bdquo;Solid Zeichnungsableitung (erzeugen)“

Dialogfeld „Solid Zeichnungsableitung (erzeugen)“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Mit der Funktion „Zeichnungsableitung (für Solids)“ legen Sie ein Zeichnungslayout mit unterschiedlichen Teileansichten an (z.B. Draufsicht, Seitenansicht, Vorderansicht und isometrische Ansicht), die auf einer benutzerdefinierten Seite angeordnet werden. Mit Hilfe dieses Dialogfelds können Sie Seitengröße und Ausrichtung einstellen und das gewünschte Ansichtenlayout wählen.

Wählen Sie zur Definition der Seite aus einer Liste mit Standard-Seitengrößen oder eine Vorlagendatei aus. Mastercam fügt dem Zeichnungslayout aus der Vorlagendatei Rahmen und alle anderen Elemente hinzu. Klicken Sie hier, um das Beispiel eines Zeichnungsvorlagen-Entwurfs einzublenden.

Sie können mehrere Zeichnungslayouts in derselben Teile-Datei erzeugen. Achten Sie bei jedem neuen Layout darauf, es auf einem neuen Layer zu speichern (außer, Sie möchten das vorhandene Layout ersetzen).

Tipp: Markieren Sie das Kontrollkästchen Radialer Anzeigewinkel, um in Solidlayoutansichten radiale Anzeigelinien, die die Flächen geschlossener, kreisförmiger Solids (Kegel, Zylinder, Kugeln, Ringe) repräsentieren, einzufügen oder zu entfernen. Wenn es markiert ist, definiert der eingestellte Winkel die Position und Anzahl der erzeugten Radial-Linien.

Verwenden Sie folgenden Leitfaden zum Erzeugen einer Zeichnungsableitung (Zeichnungslayout) für Solids.

  • Definieren Sie im Dialogfeld „Solid Zeichnungsableitung (erzeugen)“ die Basisparameter des Layouts.

  • Platzieren Sie das Zeichnungslayout auf seinem eigenen Layer, um es von den Elementen des Teils getrennt zu halten. Vor dem Erzeugen des Layouts blendet Mastercam automatisch das Dialogfeld „Layer“ zur Auswahl des gewünschten Layers ein.

  • Verwenden Sie nach der Auswahl des Zeichnungslayout-Layers die Allgemeine Selektion zur Auswahl der einzubeziehenden Solids, wenn Ihre Teile-Datei mehrere Solids enthält.

Sie können auch die Schaltfläche Vorlage importieren verwenden, um Einstellungen aus einer früheren Solid-Layout-Erzeugung zu importieren.

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Boolsche OP

Mit Hilfe Boolscher Funktionen können Sie ein Solid aus Kombinationen von zwei oder mehreren vorhandenen Solids konstruieren. Sie können Solids zusammenfügen (Hinzufügen), voneinander abziehen (Entfernen) und gemeinsame Bereiche von sich überlappenden Solids finden (Gemeinsam). Die folgende Abbildung zeigt die Resultate dieser Operationen.


Kreisförmiges Muster

Kopieren Sie mit Hilfe der Funktion „Kreisförmiges Muster“ einen Solidkörper oder Feature rings um einen Zentrumspunkt als Auftragung oder Schnitt. Sie können Kopien platzieren, indem Sie den Winkel zwischen den Kopien angeben, die Kopien innerhalb eines bestimmten Winkels verteilen oder die Kopien in gleichen Abständen rings um einen Vollkreis verteilen. Der Winkel wird relativ zur horizontalen Achse der aktuellen Konstruktionsebene berechnet.

Verwandte Themen

  • Rechteckiges Muster

  • Manuelles Muster


Konstant Verrunden

Bei der Funktion „Konstant Verrunden“ wird zur Erzeugung abgerundeter Kanten das Kantenverblenden angewendet, wobei neue Faces eingesetzt werden, die tangential zu den angrenzenden Faces der Kanten sind. Sie bestimmen die Größe der Verrundung durch Eingabe eines Wertes für den konstanten Radius.

Verwandte Themen

  • Variable Verrundung

  • Face-Face Verrundung:


Abstand und Winkel (Fase)

Bei der Funktion „Abstand und Winkel“ wird zur Erzeugung einer Fase auf Basis eines Abstands, eines Winkels und eines Referenzfaces das Kantenverblenden angewendet. Mastercam verwendet den Abstand und den Winkel zur Berechnung der Größe der Fase auf der gewählten Kante, relativ zum Referenzface.

Tipp: Wenn Sie eine abzuschrägende Kante wählen, hebt Mastercam das standardmäßige Referenzface hervor und zeigt das Dialogfeld „Referenz-Face bestimmen“ an, um das andere Randface wählen zu können.

Verwandte Themen

  • 1 Abstand (Fase anhand eines Abstandes)

  • 2 Abstände


Formschräge auf Rand

Bei der Funktion „Formschräge auf Rand“ werden bei jeder Formschräge ein oder mehrere gewählte Ränder als Scheitelpunkte (Basispunkte) verwendet. Die Neigungsrichtung ist durch ein/en gewählten linearen Rand oder planares Face definiert und der Formschrägewinkel wird in Bezug zur Neigungsrichtung gemessen.

Verwandte Themen

  • Formschräge auf Austragung

  • Formschräge auf Face

  • Formschräge auf Ebene


Formschräge auf Austragung

Bei der Methode „Formschräge auf Austragung“ werden seitliche Faces verwendet, die in einer Solid-Austragungs-Operation erzeugt wurden. Die Basis (Scheitelpunkt) der Formschräge liegt am Schnittpunkt der Originalfaces mit den ebenen Geometrieketten, die die ursprüngliche Austragung mit einem angegebenen Winkel definierten.

Wieso sollte ich die Formschrägen-Austragung über die Formschrägenoption der Funktion „Solid austragen“ verwenden?

Mit der Option „Formschräge“ der Funktion Solid austragen werden alle Faces auf einem gewählten Solid ausgetragen. Mit der Option Formschräge auf Austragung werden nur die gewählten Faces ausgetragen.

Verwandte Themen

  • Formschräge auf Rand

  • Formschräge auf Face

  • Formschräge auf Ebene


Formschräge auf Face

Bei der Option „Formschräge auf Face“ wird zur Berechnung der Formschrägenbasis und der spezifischen Neigungswinkel-Richtung ein planares Referenzface verwendet. Die Neigungsrichtung ist außerdem senkrecht zum gewählten planaren Referenzface. Das Referenzface und die gewählte Formschräge müssen sich schneiden, sonst schlägt die Operation fehl.

Verwandte Themen

  • Formschräge auf Austragung

  • Formschräge auf Rand

  • Formschräge auf Ebene


Formschräge auf Ebene

Bei der Methode „Formschräge auf Ebene“ wird zur Berechnung der Formschrägenbasis und der Neigungsrichtung eine definierte Referenzlinie, ein flaches Element oder eine benannte Ebene verwendet. Die Neigungsrichtung ist senkrecht zur Referenzebene, und der Neigungswinkel wird in Bezug zur Neigungsrichtung gemessen.

Verwandte Themen

  • Formschräge auf Austragung

  • Formschräge auf Face

  • Formschräge auf Rand


Face-Face Verrundung

Bei der „Face-Face Verrundung“ werden zur Erzeugung einer Verrundung zwei Faces oder zwei Sätze von Faces verwendet, die miteinander verblendet sind. Mastercam verwendet je nach gewähltem Operationstyp unterschiedliche Arten der Rundungserzeugung.

Wieso ist nur eine Seite meines Solid verrundet?

Wenn in einem Satz mehrere Faces vorhanden sind, müssen die Faces einen gemeinsamen Rand besitzen, sonst wird nur das zuerst gewählte Face verrundet.

Verwandte Themen

  • Variable Verrundung

  • Konstant Verrunden (Konstanter Verrundungsradius)


Features finden&hellip;

Features finden…

Entfernen oder Erzeugen Sie mit Hilfe der Funktion „Features finden“ Rundungen, Durchgangsbohrungen und Sacklochbohrungen auf Zwischensolids (Solids ohne Legende). Mastercam erkennt nur Rundungen oder Bohrungen, deren Radien innerhalb eines angegebenen Bereichs liegen.

Verwandte Themen

  • Features finden [Feature (Merkmale) an Solids identifizieren]


Bohrungsachse

Erzeugen Sie mit Hilfe der Funktion „Bohrungsachse“ Achsenlinien in Kreisbohrungen von Solidkörpern, mit oder ohne Legende. Die resultierenden Achsenlinien werden unter Verwendung Ihrer aktuellen Systemattribut-Einstellungen angezeigt, einschließlich Linienbreite und Farbe. Anhand der Optionen im Dialogfeld können Sie an den Enden der Achsenlinien Punkte und Kreise erzeugen. Sie können diese Funktion aber auch zum Umdrehen der Richtung von Achsenlinien verwenden.


Manuelles Muster

Erstellen Sie mit Hilfe der Funktion „Manuelles Muster“ an beliebigen Positionen Kopien von Solidkörpern oder Features als Solidkörperaufsatz oder Solidkörperschnitt. Bevor Sie Kopien des gewählten Features platzieren können, werden Sie von Mastercam nach einem Basispunkt gefragt. Wenn Sie einen Mausklick ausführen, um eine neue Kopie zu platzieren, wird der Basispunkt des Features auf die gewählte Position gelegt.

Verwandte Themen

  • Rechteckiges Muster

  • Kreisförmiges Muster


Solid-Face-Farbe ändern

Ändern Sie mit Hilfe der Funktion „Solid-Face-Farbe ändern“ die Farbe von Solidfaces. Wählen Sie ein oder mehrere Faces, wählen Sie eine Farbe und klicken Sie im Dialogfeld „Solid-Face-Farbe ändern“ auf OK.


Solid-Feature ändern

Mit Hilfe der Funktion „Solid-Feature ändern“ können Sie einen Körper aus einem gewählten Feature erzeugen, ein gewähltes Feature entfernen oder ein Feature entfernen und einen entsprechenden Körper erzeugen. Wählen Sie Features oder Faces und die erforderliche Operation und klicken dann im Dialogfeld „Solid Feature ändern“ auf OK.


Solid-Rundung ändern

Ändern Sie mit Hilfe der Funktion „Solid-Rundung ändern“ den Radius von Rundungen auf Solidkörpern. Wählen Sie die zu ändernden Rundungen, stellen den Radius ein und klicken im Dialogfeld „Solid: Verrundung ändern“ auf OK.

Verwandte Themen

  • Solid-Rundung löschen


Verschieben

Verschieben, rotieren oder kopieren Sie mit Hilfe der Funktion „Verschieben“ Solidfeatures oder Faces oder nehmen Sie Größenänderungen an ihnen vor. Die Ergebnisse, die Sie erhalten, hängen davon ab, wie Sie die Steuerpfeile des dynamischen Achsenkreuzes bewegen. In der zweiten Abbildung unten wurde beispielsweise eine Auftragung sowohl in X- und Y-Richtung verschoben, als auch nach oben verlängert. In der dritten Abbildung wurde die oberste Fläche nach unten verschoben.

Tipp: Weitere Informationen zur Verwendung des dynamischen Achsenkreuzes, siehe unter Hilfethema Dynamisches Achsenkreuz.


1 Abstand

Bei der Fasen-Methode „1 Abstand“ wird zur Erzeugung einer symmetrischen, schrägen Fase das Kantenverblenden mit demselben Fasenabstand für beide Kantenflächen (Randfaces) angewendet. Sie bestimmen die Größe der Fase durch Eingabe des Abstandswertes.

Verwandte Themen

  • Abstand und Winkel (Fase)

  • 2 Abstände


Push-Pull

Mit Hilfe der Funktion „Push-Pull“ vergrößern Sie Auftragungen oder erzeugen Sie Schnitte auf der Basis von gewählten Faces oder Features. Sie können die Funktion auch nutzen, um Verrundungen an Rändern zu erzeugen oder zu entfernen. Die Ergebnisse, die Sie erhalten, hängen davon ab, wie Sie die Geometrie wählen und von der Richtung, in die Sie den Steuerungspfeil verschieben. Die Auswahl der obersten Fläche einer Auftragung ermöglicht beispielsweise die Modifikation der Auftragungshöhe (siehe unten), während die Auswahl der Seitenfläche der Auftragung eine Verbreiterung der Auftragung erlaubt.

Tipp: Klicken Sie zur Abstandsänderung den Pfeil auf dem Solid an und ziehen ihn oder geben Sie dazu einen Abstand ein, während der Pfeil hervorgehoben ist und drücken dann [Enter]. Für weitere Informationen siehe Hilfethema Einzelachsen-Pfeilsteuerung.


Rechteckiges Muster

Erzeugen Sie mit Hilfe der Funktion „Rechteckiges Muster“ eine Anordnung von Solidkörpern oder Features als Auftragungen oder Schnitte. Geben Sie dazu die Anzahl der Kopien, einen Abstand, einen Winkel und eine oder zwei Richtungen an.

Verwandte Themen

  • Kreisförmiges Muster

  • Manuelles Muster


Alle Solid-Legenden entfernen

Mit Hilfe dieser Funktion können Sie alle Operationen aus einer Solid-Legende entfernen und das gewählte Solid in ein Zwischensolid (Volumenkörper) ändern. Wählen Sie ein oder mehrere Solids aus und drücken Sie auf [Enter] oder klicken in der Optionsleiste auf OK.

Verwandte Themen

  • Solids-Manager


Faces entfernen&hellip;

Faces entfernen…

Mit Hilfe der Funktion „Faces entfernen“ können Sie Faces aus Solidkörpern entfernen. Wählen Sie die zu löschenden Faces und drücken Sie auf [Enter]. Klicken Sie dann im Dialogfeld „Faces entfernen“ auf OK .


Solid-Rundung löschen

Mit Hilfe der Funktion „Solid-Rundung löschen“ werden Rundungen (und in einigen Fällen Fasen) aus Solidkörpern gelöscht. Wählen Sie die zu entfernenden Rundungen und drücken Sie auf [Enter] oder klicken Sie im Dialogfeld „Solid: Verrundung entfernen“ auf OK .

Verwandte Themen

  • Solid-Rundung ändern


Aushöhlen&hellip;

Aushöhlen…

Mit Hilfe der Funktion „Aushöhlen“ können Sie Solidkörper durch Entfernen von Material aushöhlen und, optional, gewählte Faces offen lassen. Die übrigen Faces werden um den angegebenen Wert aufgedickt. Sie können wählen, ob die Aushöhlung in einer von zwei oder oder in beiden Richtungen ausgeführt werden soll.

Tipp: Klicken Sie zur Änderung des Aushöhlungsabstands den Pfeil auf dem Solid an und ziehen ihn oder geben Sie dazu einen Abstand ein, während der Pfeil hervorgehoben ist und drücken dann [Enter]. Für weitere Informationen siehe Hilfethema Einzelachsen-Pfeilsteuerung.

Wie kann ich ein Teil aushöhlen, jedoch keine offenen Faces hinterlassen?

Wählen Sie das gesamte Solid, statt einzelne Faces aus. Mastercam entfernt dann das Material aus dem Inneren des Solids und verdickt die Faces, um die Aushöhlung zu formen.

Wie kann ich einfach das Innere eines ausgehöhlten Solids anzeigen, das keine offenen Faces besitzt?

Schalten Sie das Grafikfenster in den Drahtmodellmodus oder wählen Sie die Funktion „Durchsichtiges Schattieren an/aus“.


Solid vereinfachen

Mit Hilfe der Funktion „Solid vereinfachen“ werden überzählige Faces und Ränder aus Solids entfernt. Wählen Sie zur Verwendung dieser Funktion einen gesamten Solidkörper oder einzelne Faces und Ränder und klicken dann im Dialogfeld „Solid Selektion“ auf OK.

Wie kann ich noch einfacher nur die gewünschte Geometrie auswählen?

Verwenden Sie die Filter im Dialogfeld „Solid Selektion“, um die Auswahl auf Ränder, Faces oder Solidkörper zu beschränken.


Einzelachsen-Pfeilsteuerung

Mit Hilfe der „Einzelachsen-Pfeilsteuerung“ können lineare oder radiale Änderungen an Geometrie vorgenommen werden. Klicken Sie auf einen Pfeil, um seine vier Sekundärsteuerungen anzuzeigen, die nachfolgend beschrieben werden.

1 | Bewegen Sie den Mauszeiger über den Pfeil, um die aktuelle Steuerungs-Einstellung sowohl des Lineals als auch des Editierfeldes anzuzeigen. Klicken Sie auf den Pfeil, um die Steuerung zu aktivieren.
2 | Das Lineal zeigt die aktuelle Einstellung der Steuerung grafisch an. Bewegen Sie den Mauszeiger innerhalb des Lineals, springt er von Linealmarkierung zu Linealmarkierung (wodurch runde Linealwerte eingestellt werden können). Bewegen Sie den Mauszeiger außerhalb des Lineals, kann jeder beliebige Wert eingestellt werden, da hier die Einrastfunktion für runde Werte deaktiviert ist.
3 | Die Referenzpunkt-Kugel markiert den Nullpunkt, ab dem die Einstellungswerte der Steuerung gemessen werden. Zum Ändern des Referenzpunkts klicken Sie auf die Kugel und ziehen Sie sie auf die gewünschte Position, auch auf einer anderen Geometrie.
4 | Das Editierfeld zeigt die aktuelle Einstellung der Steuerung an. Zum direkten Ändern der Einstellung innerhalb der Steuerung geben Sie einfach einen Wert ein. Drücken Sie dann [ENTER], um das Ergebnis Ihrer Eingabe zu sehen. Drücken Sie [Enter] erneut, um die Eingabe zu bestätigen.

Hinweis: Wenn sich der Einzelachsen-Pfeil über einer ebenen oder unregelmäßigen Fläche befindet, beginnt der Abstand bei 0.00 und wird linear gemessen. Wenn sich der Einzelachsen-Pfeil auf einer Rundung mit konstantem Radius oder einem Zylinder befindet, ist der Wert der tatsächliche Radius und die Eingabe eines neuen Wertes wird als Radiuswert interpretiert.

Verwandte Themen

  • Dynamisches Achsenkreuz


Solid-Baugruppe zerlegen

Mit Hilfe der Funktion „Solid-Baugruppe zerlegen“ werden Solidkörper aufgetrennt und auf einer bestimmten Ebene angeordnet. Wählen Sie die zu zerlegenden Solidkörper, stellen Sie Optionen, wie beispielsweise den Abstand und den Startpunkt ein und klicken Sie Dialogfeld „Zerlegen“ auf OK .

Wie verwende ich die Funktion „Solid-Baugruppe zerlegen“ zum Verschachteln von Solidkörpern?

Klicken Sie in der Menüleiste von Mastercam auf X-FORM, Geometrieverschachteln. Klicken Sie dann auf der Registerkarte „Teile“ mit der rechten Maustaste in den Bereich Teileliste und wählen Sie die Kontextmenü-Option Solid-Baugruppe zerlegen.

Verwandte Themen

  • Solid-Feature ändern

  • Verschieben


(SOLIDS) Austragen

Die Funktion (SOLIDS) „Austragen“ verwendet ebene Geometrieketten, um einen oder mehrere neue Solidkörper zu erzeugen (Körper erzeugen), Material von einem vorhandenen Solid zu entfernen (Körper schneiden) oder darauf aufzutragen (Aufsatz hinzufügen). Mastercam trägt die Geometrieketten linear in der angegebenen Richtung um den angegebenen Abstand und anhand weiterer Parameter aus.

Tipp: Klicken Sie zur Änderung des Austragungsabstands den Pfeil auf dem Solid an und ziehen ihn oder geben Sie dazu einen Abstand ein, während der Pfeil hervorgehoben ist und drücken dann [Enter]. Für weitere Informationen siehe Hilfethema Einzelachsen-Pfeilsteuerung.

Wann sollte ich die Austragungsoption „Wandstärke“ verwenden?

  • Bei Austragungen mit der Option „Wandstärke“ können Sie offene oder geschlossene Geometrieketten verwenden.

  • Bei der Wandstärken-Austragungsmethode ergibt jede Geometriekette, ungeachtet dessen, ob die Ketten verschachtelt sind oder nicht, ein separates Solid, Materialausschnitte oder Materialauftragungen.

  • Beim Austragen offener Ketten mit der Wandstärkenmethode haben Sie die Möglichkeit, die mit den Endpunkten der offenen Ketten verknüpften Faces (Enden) abzuschrägen, wenn Sie den Wänden des Solids einen Formschrägenwinkel zuweisen. Das Kontrollkästchen Enden abschrägen muss markiert sein, um diese Option verwenden zu könnnen.

Wie trimme ich einen Materialausschnitt oder eine Materialauftragung auf ein vorhandenes Solidface?

  1. Markieren Sie die Optionsschaltfläche Körper schneiden oder Aufsatz hinzufügen.

  2. Geben Sie einen Austragungsabstand ein, der groß genug ist, um die Solidfaces zu erreichen.

  3. Markieren Sie das Kontrollkästchen Auf Faces trimmen.

  4. Klicken Sie mit der rechten Maustaste in den Bereich unterhalb des Kontrollkästchens „Auf Faces trimmen“ und wählen Sie die Kontextmenü-Option Auswahl hinzufügen oder klicken Sie auf die gleichnamige Schaltfläche.

  5. Wählen Sie mit Hilfe des Dialogfelds „Solid Selektion“ die Solidfaces und klicken Sie auf OK.


Solids: Zeichnungsableitung

Mit der Funktion „(Solid) Zeichnungsableitung“ legen Sie ein Layout mit Teileansichten an (z.B.: Draufsicht, Seitenansicht, Vorderansicht und isometrische Ansicht), die auf einer benutzerdefinierten Seite angeordnet werden. Nach der Erzeugung des Basislayouts im Dialogfeld „Solid Zeichnungsableitung“ passen Sie die Ergebnisse an, indem Sie Ansichten hinzufügen, Ansichtspositionen ändern, Linien manipulieren und Detailvergrößerungen erzeugen.

Wie kann ich mehrere Layouts in einer einzigen Datei anlegen?

Wiederholen Sie nach dem Anlegen des ersten Layouts für jedes neue Layout den Befehl SOLIDS, Zeichnungsableitung. Wenn Sie versuchen, einer Datei ein weiteres Layout hinzuzufügen, werden Sie gefragt, ob die Elemente auf dem aktuellen Layer gelöscht werden sollen oder ob Sie einen anderen Layer wählen wollen. Wählen Sie für das neue Layout einen neuen Layer.


(SOLIDS) Loft

Die Funktion (SOLIDS) „Loft“ verwendet einen Satz geschlossener Ketten, um einen oder mehrere neue Solidkörper zu erzeugen (Körper erzeugen), Material von einem vorhandenen Solid zu entfernen (Körper schneiden) oder darauf aufzutragen (Aufsatz hinzufügen). Mastercam erzeugt zwischen zwei oder mehreren Geometrieketten in der Reihenfolge, in der die Ketten gewählt wurden, Übergänge, indem die erste und die letzte Kette mit Solid-Faces abschließt.

Was sind die Kriterien für die gewählten Ketten für eine Loft-Operation?

  • Es müssen mindestens zwei geschlossene, parallele Ketten vorliegen.

  • Jede einzelne Geometriekette muss planar/eben sein.

  • Alle gewählten Ketten müssen in derselben Richtung verkettet sein.

  • Sie können eine Geometriekette nicht mehrfach für ein und dieselbe Loft-Operation wählen.

  • Eine gewählte Geometriekette darf sich nicht selbst überschneiden.


Solid Position

Mit Hilfe dieser Funktion positionieren (kopieren oder verschieben) Sie ein Solid, indem Sie ein Face auf einem Solid mit einem anderen Solidface zusammenlegen.

  1. Klicken Sie in der Menüleiste von Mastercam auf MODELLIEREN, Solid Position.

  2. Wählen Sie das erste Face (das Face, das mit dem danach gewählten Face zusammengelegt werden soll). Es erscheint daraufhin das dynamische Koordinatenkreuz im Zentrum des Faces.

  3. Wählen Sie das zweite Face (das Face, das mit dem zuvor gewählten Face zusammengelegt werden soll). Es erscheint daraufhin das dynamische Koordinatenkreuz im Zentrum des Faces.

  4. Drücken Sie [ENTER].

Hinweis: Die Startposition des dynamischen Koordinatenkreuzes ist das Gravitationszentrum der Begrenzungsbox des gewählten Faces. Es kann vorkommen, dass diese Position in einigen Fällen nicht über einem Solidbereich des Teils liegt, wie in der Abbildung unten zu sehen ist.

Wie kann ich ein Solid kopieren statt es zu verschieben?

Halten Sie bei der Auswahl des zweiten Faces die Taste [STRG] gedrückt.

Wie kann ich die Zusammenlegungsposition der Solids ändern?

Nach der Auswahl des ersten Faces erscheint das dynamische Koordinatenkreuz. Verwenden Sie es, um den Nullpunkt des Faces zu ändern.

Verwenden Sie bei der Auswahl des zweiten Faces das dynamische Koordinatenkreuz zur Auswahl der Zusammenlegungsposition auf dem zweiten Face. Für weitere Informationen zu dieser Funktion, siehe Hilfethema Dynamisches Achsenkreuz.

Verwandte Themen

  • Verschieben


(SOLIDS) Rotation

Die Funktion „(SOLIDS) Rotation“ verwendet ebene Geometrieketten, um einen oder mehrere neue Solidkörper zu erzeugen (Körper erzeugen), Material von einem vorhandenen Solidkörper zu entfernen (Körper schneiden) oder darauf aufzutragen (Aufsatz hinzufügen). Mastercam rotiert Geometrieketten, indem die Geometrieform um eine Achse herumgeführt wird.

Wann sollte ich die Rotationsoption „Wandstärke“ verwenden?

  • Bei der Wandstärkenmethode werden aus jedem Element in der Kette durch Rotation Schichtelemente erzeugt und dann durch Auftragung einer Wandstärke auf die Schichtelemente Solids geformt. Bei der normalen Methode wird innerhalb der Geometriekontur ein Schichtelement (ähnlich einer getrimmten Fläche) erzeugt und dann das Schichtelement in ein Solid rotiert.

  • Bei der Wandstärkenmethode können Sie Solids aus offenen oder geschlossenen Geometrieketten erzeugen. Mit der normalen Konstruktionsmethode können Sie nur geschlossene Ketten verwenden.


Dialogfeld &bdquo;Solid Selektion“

Dialogfeld „Solid Selektion“

Stellen Sie mit Hilfe dieses Dialogfelds Filter für Solid-Selektions-Funktionen ein. In der folgenden Tabelle sind die verfügbaren Optionen aufgelistet:

Rand | Face
Körper | Rückseite
Letztes | Auswahl prüfen
Alle De-Selektieren |

Mit Hilfe der Schaltfläche Letztes werden erneut die Elemente ausgewählt, die für die vorherige Operation gewählt wurden. Mit Hilfe der Schaltfläche Auswahl prüfen wird eine Funktionsleiste aufgerufen (siehe unten), mit der Sie die wählbaren Elemente durchblättern können.


(SOLIDS) Swept/Öffnung

Die Funktion „(SOLIDS) Swept/Öffnung“ verwendet geschlossene, ebene Geometrieketten, die an einer offenen oder geschlossenen Kette entlanggeführt werden, um einen oder mehrere neue Solidkörper zu erzeugen (Körper erzeugen), Material von einem vorhandenen Solidkörper zu entfernen (Körper schneiden) oder darauf aufzutragen (Aufsatz hinzufügen). Mastercam trägt die Ketten entlang der gesamten Länge einer einzelnen Geometriekette (Leitkurve) aus, indem es die Geometrieform versetzt und rotiert.


aus Geo... (Solis von Flächen)

Mit Hilfe dieser Funktion können Flächen in ein oder mehrere Solids umgewandelt werden. Wenn Sie alle Flächen wählen und die Randlücken dazwischen innerhalb einer angegebenen Toleranz liegen, wird ein Solidkörper erzeugt. Andernfalls wird ein offenes Sheet-Solid erzeugt.

Tipp: Mit der Funktion SOLIDS, Wandung / Dicke können Sie ein offenes Sheet-Solid in einen geschlossenen Solidkörper umwandeln.


Solid-Face splitten&hellip;

Solid-Face splitten…

Mit Hilfe der Funktion „Solid-Face splitten“ kann ein Solidface aufgrund bestimmter Geometrie, Strömungslinien oder der UV-Strömungslinienrichtungen des Faces in mehrere Faces aufgetrennt werden. Die erste Abbildung unten zeigt einen Solidkörper und den Kreis an, der für die Splittung verwendet wird. Die zweite Abbildung zeigt die Elemente an, die für die Splittung gewählt wurden und die dritte Abbildung zeigt das oberste Face der Splittung an.


(SOLIDS) Wandung / Dicke

Mit Hilfe der Funktion „(SOLIDS) Wandung / Dicke“ wird einem Sheet-Solid in einer oder mehreren Richtungen eine Dicke zugewiesen, wodurch es in einen Solidkörper konvertiert wird. Sie können diese Funktion zusammen mit der Funktion aus Geo / Solids von Flächen verwenden, um Flächen in eine Solid umzuwandeln, das wie andere Mastercam-Solids behandelt werden kann.

Tipp: Klicken Sie zur Änderung des Wandstärkenabstands den Pfeil auf dem Solid an und ziehen ihn oder geben Sie dazu einen Abstand ein, während der Pfeil hervorgehoben ist und drücken dann [Enter]. Für weitere Informationen siehe Hilfethema Einzelachsen-Pfeilsteuerung.


An Ebene trimmen (Trimmen anhand Ebene)

Die Funktion „An Ebene trimmen (Trimmen anhand Ebene)“ verwendet eine Linie, ein ebenes Element oder eine benannte Ebene, um ein Solid zu trimmen. Die gewählte Ebene muss dabei das gewählte Solid schneiden.

Verwandte Themen

  • Trimmen / Auf Fläche/Sheet trimmen


Trimmen / Auf Fläche/Sheet trimmen

Mit Hilfe dieser Funktion trimmen Sie ein Solid auf eine Fläche oder ein Sheet-Solid. Sie können den getrimmten Teil entfernen oder das Solid in mehrere Teile splitten, wobei die neuen Teile als Zwischensolids gespeichert werden. Der Teil des gewählten Körpers wird zu dem Teil, der nach der Trimmung behalten wird.

Verwandte Themen

  • An Ebene trimmen (Trimmen anhand Ebene)


2 Abstände (Fasen)

Bei der Funktion „2 Abstände“ wird zur Erzeugung einer Fase auf Basis zweier Abstände und eines Referenfaces das Kantenverblenden angewendet. Mastercam verwendet Abstand 1 zur Berechnung der Größe der Fase zwischen dem Referenzface und der gewählten Kante. Abstand 2 bestimmt die Größe der Fase zwischen dem ergänzenden Face und der gewählten Kante.

Tipp: Wenn Sie eine abzuschrägende Kante wählen, hebt Mastercam das standardmäßige Referenzface hervor und zeigt das Dialogfeld „Referenz-Face bestimmen“ an, um das andere Randface wählen zu können.

Verwandte Themen

  • 1 Abstand (Fase anhand eines Abstandes)

  • Abstand und Winkel (Fase)


Variable Verrundung (Variable Verrundungsradius)

Bei der Funktion „Variable Verrundung“ wird zur Erzeugung abgerundeter Kanten das Kantenverblenden angewendet, wobei neue Faces eingesetzt werden, die tangential zu den angrenzenden Faces der Kanten sind. Sie bestimmen die Größe der Verrundung durch Eingabe verschiedener Radiuswerte entlang der Kante. Es können außerdem Radiuspositionen angegeben werden.

Verwandte Themen

  • Konstant Verrunden (Konstanter Verrundungsradius)

  • Face-Face Verrundung:


Bearbeiten von Solidmodellen

Der Solids-Manager bietet eine Reihe von Tools und Funktionen zum Bearbeiten von Solidmodellen. Klicken Sie für weitere Informationen unten auf einen Dropdown-Link.

Bearbeiten von Solidparametern

Sie können die Definitions-Parameter einer ausgewählten Operation bearbeiten, einschließlich verketteter Geometrie. Einige Parameter der Original-Definition sind dabei jedoch nicht veränderbar. So können Sie beispielweise keine Austragungs-, Rotations-, Swept- oder Loft-Operation von einer Erzeugungs- in eine Schnitt- oder Auftragungsoperation ändern (oder umgekehrt). Alle anfangs genannten Operationen können jedoch von einem Schnitt in eine Auftragung gewandelt werden (oder umgekehrt) – vorausgesetzt, es werden dabei keine zertrennten Körper erzeugt.

Änderungen an der Geometrie einer Operation (Ketten hinzufügen, Ketten löschen usw.) können sich nur auf die gewählte Operation und das mit ihr verknüpfte Solid auswirken. Mastercam unterstützt keine Änderungen, bei denen eine neue Operation oder ein neues Solid erzeugt würde. Allerdings können mit Boole'schen (Entfernen, Gemeinsam) und Trimmoperationen Zwischensolids erzeugt werden.

Zum Bearbeiten von Solidparametern wechseln Sie in den Solids-Manager, klicken mit der rechten Maustaste auf die zu ändernde Solidoperation und dann auf Parameter ändern oder klicken Sie doppelt auf den Namen der Solidoperation, die geändert werden soll. Mastercam Mastercam bringt Sie in das Dialogfeld zurückfährt, in dem die Parameter der Operation definiert werden. Ändern Sie die Parameter nach Bedarf und klicken Sie dann auf OK oder auf OK und regenerieren, um das Dialogfeld zu schließen.

Bearbeiten von Solidattributen

Die Attribute von Solids bearbeiten Sie, indem Sie über den Solids-Manager das Dialogfeld Solid Attribute aufrufen. Klicken Sie zum Aufrufen des Dialogfelds „Solid Attribute“ mit der rechten Maustaste auf das zu bearbeitende Solid und wählen Sie die Kontextmenü-Option Attribute.

Löschen von Solids und Solidoperationen

Es gibt zwei Möglichkeiten, ein Solid zu löschen. Sie wählen entweder das Solid im Grafikfenster aus und drücken die [ENTF]-Taste oder Sie wechseln in den Solids-Manager, führen auf dem Solid oder der Solidoperation, dass bzw. die gelöscht werden soll, einen Rechtklick aus und wählen die Kontextmenüoption Löschen (oder drücken Sie dazu die [ENTF]-Taste).

Wichtig: Obwohl das Löschen eines Solids, das im Grafikfenster ausgewählt wurde, rückgängig gemacht werden kann, ist dies bei einer Solid-Operation im Solids-Manager nicht möglich.

Hinweise:

  • Wenn Sie Operationen löschen, wird das entsprechende Solid als unbereinigt bzw. ungültig gekennzeichnet. Regenerieren Sie das Solid, damit Ihre Änderungen in das Modell übernommen werden.

  • Mastercam löscht automatisch alle Operationen, deren Eingaben (gewählte Faces, Ränder, Solidkörper) von der gelöschten Operation abhängig sind.

  • Basisoperationen oder Solidkörper Boole'scher Funktionen können nicht gelöscht werden.

  • Wenn Sie eine Boole'sche Operation löschen, werden ihre Solidkörper als getrennte Solids wiederhergestellt, die nicht mehr mit dem Zielkörper verknüpft sind.

  • Änderungen, die im Solids-Manager an Solids vorgenommen wurden, können nicht rückgängig gemacht werden.

Entfernen einer Solid-Legende

Durch das Entfernen einer Solid-Legende werden alle Operationen und Features aus einem gewählten Solidmodell entfernt und das Solid wird im Solids-Manager in ein Zwischensolid umgewandelt.

  • Um eine Solidlegende aus dem Solids-Manager zu entfernen, klicken Sie mit der rechten Maustaste auf ein Solid und dann im Kontextmenü auf die Option Solidlegende entfernen.

  • Zur Auswahl mehrerer Solids klicken Sie in der Menüleiste auf MODELLIEREN Alle Solid-Legenden entfernen. Wählen Sie dann anhand einer beliebigen Auswahlmethode aus der Optionsleiste „Allgemeine Selektion“ von Mastercam die Solids aus.

Regenerieren von Solids

Beim Regenerieren werden Solids neu aufgebaut, damit sie mit ihren verknüpften Operationen übereinstimmen. Dies ist immer dann erforderlich, wenn ein Solid aufgrund von Änderungen an Parametern bzw. Geometrie einer oder mehrerer Solid-Operationen ungültig wird, d.h. sein Status unbereinigt ist. Beim Regenerieren überträgt Mastercam Ihre Änderungen auf das Solid und stellt bei Möglichkeit den bereinigten Zustand wieder her. Das Regenerieren schlägt fehl, wenn eine oder mehrere Operationen eines Solids ungültig sind.

Bei vielen Änderungen an einem Modell ist häufiges Regenerieren sinnvoll. Falls das Regenerieren dann fehlschlägt, sind weniger Korrekturen nötig, um den bereinigten Status der Operation wiederherzustellen. Im Solids-Manager können Sie das Kontextmenü benutzen, um ein gewähltes Solid zu regenerieren.

Gehen Sie zum Regenerieren von Solids folgendermaßen vor:

  • Einzelne Solids: Klicken Sie im Solids-Manager mit der rechten Maustaste auf ein Solid oder eine seiner Operationen und dann im Kontextmenü auf Solid regenerieren.

  • Alle Solids: Klicken Sie im oberhalb des Solids-Managers auf die Schaltfläche Alle regen oder im Kontextmenü (Rechtsklick) auf Alle Solids regen.

Duplizieren von Solids

Klicken Sie zum Kopieren eines Solids im Solids-Manager mit der rechten Maustaste auf das betreffende Solid und dann auf Solid duplizieren.

Sie können exakte Kopien von Solids anlegen, einschließlich der Solidkörper Boole'scher Operationen. Jede Kopie ist ein aktives Solid, das selektiert und geändert werden kann. Diese Funktion ist besonders nützlich, wenn Sie denselben Solidkörper für Operationen auf verschiedenen Ziel-Solids benutzen möchten.

Zuweisen von Farben zu Solidfaces und -features

Sie können einzelnen Solidfaces und -features unterschiedliche Farben zuweisen. Nutzen Sie diese Farben, um Solidbereiche für die Werkzeugweg-Erzeugung und andere Operationen einfacher auswählen zu können. Diese Optionen stehen im Menü MODELLIEREN zur Verfügung.

Hinweise:

  • Die Analyse-Funktion erkennt keine Face- oder Feature-Farben. Sie zeigt im Solid-Eigenschaften-Dialogfeld die Farbe des Original-Solids an.

  • Wenn Sie Face- und Featurefarben für die Werkzeugwegerzeugung und andere Operationen auswählen wollen, müssen Sie sich im Solidselektionsmodus befinden.

  • Beim Erzeugen von Flächen aus Solids werden die Face- und Feature-Farben auf die Flächen übertragen. (In der Optionsleiste „Flächen von Solids“ muss die Schaltfläche „Solid-Attribute“ dazu aktiviert sein.)

  • Markieren Sie auf der Eigenschaftenseite „Solid“ (Systemkonfiguration) das Kontrollkästchen Flächenfarben verwenden, um bei der Erzeugung von Solids aus Flächen die Flächenface-Farben auf die Solidfaces zu übertragen. Diese Option steht außerdem in der Funktion (Solids) von Flächen zur Verfügung.

Ändern der Reihenfolge von Solid-Operationen

Im Solids-Manager werden die Operationen aufgelistet, die jedes Solid der aktuellen Datei definieren. Die Operationen sind in der Reihenfolge ihrer Ausführung auf dem Solid aufgelistet. Sie können diese Reihenfolge ändern, indem Sie die Operationen in der Operationsliste auf neue Positionen ziehen. Mastercam baut das Solid gemäß der neuen Operationsreihenfolge neu auf.

Hinweise:

  • Die gewählte Operation wird hinter der Operation eingefügt, über der Sie die Maustaste loslassen.

  • Beim Ziehen einer Operation ändert sich der Cursor an Stellen, wo ein Einfügen möglich ist, in einen Abwärtspfeil, und dort, wo es nicht möglich ist, in einen durchgestrichenen Kreis.

  • Beim Verschieben von Operationen gelten folgende Einschränkungen:

    • Eine Basisoperation kann nicht verschoben werden.

    • Eine Operation kann nicht vor eine Basisoperation verschoben werden.

    • Ist eine Operation von einer oder mehreren anderen Operationen abhängig (z.B. eine Verrundung auf einer Auftragung), können Sie die abhängige Operation nicht vor die Operation(en) verschieben, von der (denen) sie abhängig ist.

    • Änderungen, die im Solids-Manager an Solids vorgenommen wurden, können nicht rückgängig gemacht werden.

Wenn Sie Solidparameter oder -geometrie ändern, können Sie, je nachdem welche Parameter Sie geändert haben, von Mastercam zu weiteren Eingaben aufgefordert werden. Folgen Sie dabei den Aufforderungen auf Ihrem Bildschirm. Nach Eingabe aller erforderlichen Daten, wird wieder der Solids-Manager eingeblendet.

Nach dem Ändern einer Solidoperation wird die geänderte Operation und das entsprechende Solid im Solids-Manager als unregeneriert markiert. Regenerieren Sie das Solid, damit Ihre Änderungen in das Modell übernommen werden. Dies gilt auch für alle assoziierten Werkzeugwege. Nur der Werkzeugweg, der direkt durch die Änderung im Solidmodell betroffen ist, wird als unregeneriert markiert. Alle anderen Operationen werden nicht als unregeneriert markiert.

Verwandte Themen

  • Assoziativität von Solids


Solids-Manager – Kurzübersicht

Im Solids-Manager geben viele Symbole Auskunft über Operationen. Jedes Symbol wird nachfolgend erläutert:

Kennzeichnet eine unregenerierte Operation. Eine Operation ist unregeneriert, wenn ihre Parameter und/oder Geometrie geändert wurden. Sie müssen das Solid regenerieren, damit die Änderungen in das Modell übernommen werden. Dadurch wird die Operation regeneriert und das Symbol „unregeneriert“ entfernt.

Kennzeichnet ein ungültige Operation. Eine Operation ist ungültig, wenn Mastercam eine vorgenommene Änderung nicht in das Modell übernehmen und deshalb das Solid nicht neu aufbauen kann. Versuchen Sie zur Korrektur ungültiger Solidmodelle, die Parameter oder die Geometrie aller ungültigen Operationen zu bearbeiten und das Solid dann zu regenerieren.

Kennzeichnet das Ende der Operationen, die ein Solid definieren. Sie können Solids auf einen früheren Zustand zurücksetzen, indem Sie das Symbol der Stopp-Operation in der Operationsliste auf eine neue Position ziehen.

Zeigt an, dass das Verschieben zulässig ist, wenn Sie eine Operation in der Operationsliste auf eine neue Position ziehen. Sie können Operationen auf eine neue Position ziehen, um einen früheren Zustand des Solids wiederherzustellen oder die Reihenfolge der Operationen zu ändern.

Zeigt an, dass das Verschieben unzulässig ist, wenn Sie eine Operation in der Operationsliste auf eine neue Position ziehen. Sie können Operationen auf eine neue Position ziehen, um einen früheren Zustand des Solids wiederherzustellen oder die Reihenfolge der Operationen zu ändern.

Zeigt an, dass weitere Operationsdetails vorhanden sind. Klicken Sie darauf, um die Anzeige der Operationsdetails zu erweitern.

Zeigt an, dass die Anzeige der Operationsdetails erweitert ist. Klicken Sie darauf, um die Anzeige der Operationsdetails zu minimieren.

Zeigt an, dass editierbare Parameter für diese Operation vorhanden sind. Klicken Sie auf dieses Symbol, um die Parameter zu bearbeiten.

Zeigt an, dass editierbare Geometrie für diese Operation vorhanden ist. Klicken Sie auf dieses Symbol, um die Geometrie zu bearbeiten.

Ein grau hinterlegtes Symbol zeigt an, dass die Operation unterdrückt wurde und/oder sich das Solid in einem früheren Zustand befindet.

Zeigt eine Fräs- oder Drehwerkzeugweg-Operation an.

Zeigt ein Solid an.

Zeigt ein Solidkörper oder ein Solid an, der/das in der verknüpften Boole'schen Operation verwendet wird.

Zeigt eine Austragungs-, Loft- oder Swept-Operation an.

Zeigt eine Rotations-Operation an.

Zeigt eine Verrundungs-Operation an.

Zeigt eine Fasen-Operation an.

Zeigt eine Aushöhlungs-Operation an.

Zeigt eine Boole'sche Operation an.

Zeigt eine Zylinderprimitiven-Operation an.

Zeigt eine Konusprimitiven-Operation an.

Zeigt eine Blockprimitiven-Operation an.

Zeigt eine Kugelprimitiven-Operation an.

Zeigt eine Ringprimitiven(Torus)-Operation an.

Zeigt eine Formschrägen-Operation an.

Zeigt eine Trimm-Operation an.

Verwandte Themen

  • Solids-Manager


Solids-Manager

Rufen Sie den Solids-Manager zum Anzeigen, Verwalten und Bearbeiten von Solids und Solidoperationen auf. Der Solids-Manager listet alle Solids zusammen mit ihren Operationslegenden in der aktuellen Datei auf und ermöglicht ein Bearbeiten der Operationen auf verschiedene Weise. Klicken Sie für weitere Informationen unten auf den Link Kontextmenü-Funktion.

Wichtig: Änderungen, die Sie über die Legende vornehmen, können Sie nicht mit der Undo-Funktion von Mastercam rückgängig machen.

Verwenden Sie die Schaltflächen oberhalb der Legende, um Solids zu regenerieren oder auszuwählen.

Baut alle unbereinigten Solids in der Teilezeichnung und der Legende neu auf.

Erlaubt das Auswählen/Markieren eines Solidfaces im Grafikfenster. Mastercam hebt dann die Operation in der Legende hervor.

Zum Ändern der Reihenfolge von Operationen ziehen Sie sie in der Operationsliste auf neue Positionen. Mastercam baut das Solid gemäß der neuen Operationsreihenfolge neu auf.

Um einen früheren Solidzustand wiederherzustellen, ziehen Sie das Symbol „Stopp-Op“ an eine andere Stelle innerhalb der Operationsliste. Mastercam baut das Solidmodell dann nur bis zu dem Stopp-Punkt auf. Setzen Sie ein Solid nur zur vorübergehenden Modellprüfung auf einen früheren Zustand zurück. Aufgrund der Abhängigkeit von Solid-Operationen könnten Ihre Aktionen zu einem ungültigen Modell führen. Ein Solid kann nicht in einem zurückgesetzten Zustand gespeichert werden.

Kontextmenü-Funktionen

  • Solids – Blendet ein Untermenü mit allen Solid-Entwurfsfunktionen ein

  • Modellieren – Blendet ein Untermenü mit allen Modellierfunktionen ein

  • Grundkörper – Blendet ein Untermenü mit allen Grundkörperfunktionen ein

  • Löschen – Löscht markierte Solids oder Solidoperationen (Warnung: Kein Wiederherstellen möglich)

  • Umbenennen – Erlaubt das Umbenennen von Solids oder Solid-Operationen (Sie können auch einen Solidkörper im Solids-Manager umbenennen, indem Sie ihn mit einem langsamen Doppelklick auswählen)

  • Solid duplizieren – Kopiert das markierte Solid

  • Attribute – Ruft das Dialogfeld „Solid Attribute“ für das gewählte Solid auf

  • Solid prüfen – Analysiert/Überprüft das gewählte Solid auf Fehler

  • Solidlegende entfernen – Löscht alle Operationen und Features aus dem gewählten Solid, wodurch ein Zwischensolid entsteht

  • Unterdrücken – Baut das Solidmodell ohne die gewählte(n) Operation(en) neu auf

  • Hervorheben – Kennzeichnet die mit der gewählten Solidoperation assoziierte Geometrie (nur verfügbar, wenn „Auto-Hervorheben“ deaktiviert ist)

  • Solid regenerieren – Baut markierte unregenerierte oder ungültige Solids zur Anpassung an geänderte Parameter verknüpfter Operationen neu auf

  • Alle Solids regen – Baut alle unregenerierten Solids zur Anpassung an geänderte Parameter verknüpfter Operationen neu auf

  • Alle öffnen – Erweitert die Verzeichnisstruktur, so dass alle Operationen angezeigt werden

  • Alle schließen – Minimiert die Verzeichnisstruktur, so dass alle Operationen ausgeblendet werden

  • Auto-Hervorheben – Schaltet die Funktion „Auto-Hervorheben“ aus/ein, wodurch die gewählte Solid-Operation im Grafikfenster hervorgehoben wird

  • Parameter ändern – Ruft das Dialogfeld der gewählten Operation auf, in dem Sie die Parameter der Operation einstellen/ändern können

Verwandte Themen

  • Bearbeiten von Solidmodellen

  • Assoziativität von Solids

  • Solids-Manager – Kurzübersicht


Solidkörper (Popup)

Solidkörper

Ein Solid, das bei einer Boole'schen Operation einem Zielkörper hinzugefügt oder davon entfernt wird oder sich mit diesem überschneidet (überlappt).

Klicken Sie hier, um dieses Thema auszudrucken.


Dialogfeld &bdquo;Solid prüfen“

Dialogfeld „Solid prüfen“

Klicken Sie auf die Registerkarte „Felddefinitionen“, um nähere Informationen zu den einzelnen Optionen des Dialogfelds aufzurufen.

Dieses Dialogfeld weist auf Fehler in gewählten Solids hin, die Probleme bei der Solid-Modellierung bereiten könnten. Diese Funktion identifiziert und beschreibt bestimmte Fehler und hebt ihre Position in der Solidzeichnung hervor. Sie eignet sich speziell zum Analysieren importierter Solids auf Vollständigkeit und zum Identifizieren von Elementen, die eventuell repariert oder rekonstruiert werden müssen. Werden Fehler erkannt, werden im Dialogfeld „Solid prüfen“ bis zu 10 Fehler aufgeführt. Werden keine Fehler erkannt, erscheint eine Bestätigungsmeldung.

Wenn in diesem Dialogfeld Fehler aufgelistet werden:

  • Wählen Sie einen aufgelisteten Fehler, um seine Position im Grafikfenster hervorzuheben.

  • Klicken Sie auf [image], um den ausgewählten Fehler im Grafikfenster zu vergrößern.

  • Klicken Sie auf [image], um das Grafikfenster auf die originale Anzeigeskalierung zurückzusetzen.

  • Wenn zehn Fehler aufgelistet werden, können Sie die maximale Fehleranzahl auf einen höheren Wert (Standard ist 10) einstellen und auf [image] klicken, um zu sehen, ob mehr erkennbare Fehler existieren.

Tipp: Sie können Dateien in Formaten, bei denen eine Reparatur beim Import unterstützt wird (Pro/E, ACIS SAT, AutoCAD DWG/DXF, STEP, Autodesk Inventor, Catia V4, Catia V5) mit aktivierter Reparaturfunktion erneut importieren. Ebenso können Sie mit der Funktion Faces entfernen die bei einer Solidprüfung als fehlerhaft erkannten Faces entfernen, um neue Flächen zu konstruieren, die anschließend mit der Funktion „aus Geo“ (Solids von Flächen) umgewandelt werden können.

Weitere Informationen zu...

  • Benutzung der Analysefunktion

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Features finden [Feature (Merkmale) an Solids identifizieren]

Mit der Funktion „Features finden“ können Sie bestimmte Merkmale wie Bohrungen und Verrundungen bei importierten Zwischensolids oder anderen Solidkörpern finden, deren Basisoperation in der Legende als „Body“ (Körper) angezeigt wird. Wenn Sie ein Merkmal zum Suchen/Identifizieren wählen, können Sie auch angeben, ob die gefundenen Merkmale gelöscht werden sollen oder die Operationen und die gesamte verknüpfte Geometrie, die zur Rekonstruktion der gefundenen Merkmale erforderlich ist, neu erzeugt werden sollen. Das Entfernen von Merkmalen ist nützlich, wenn Sie Werkzeugwege erzeugen müssen, die den Merkmalen vorangehen oder diese nicht berücksichtigen.

Beim Bearbeiten eines Zwischensolids mit der Funktion „Features finden“ ändert sich das Solid dadurch, dass Merkmale entfernt und Operationen in seine Legende eingefügt werden, behält aber als Solidkörper seine oberste Position in der Legende bei. Die Funktion „Features finden“ erkennt nur Merkmale an importierten Zwischensolids oder an Zwischensolids, die in Mastercam durch Umwandeln von Flächen oder Boole'sche bzw. Trimmoperationen erzeugt wurden. Mit der Funktion „Features finden“ können keine Merkmale an Solidkörpern mit unbereinigten, ungültigen oder unterdrückten Operationen erkannt werden. Bereinigen Sie den Zustand dieser Solids durch Regenerieren (siehe Bearbeiten von Solidmodellen), bevor Sie mit der Funktion „Features finden“ arbeiten.

Finden, Entfernen und Erzeugen von Verrundungen an einem Solidkörper

Mit der Funktion „Features finden“ können Sie Verrundungen mit konstantem Radius an Zwischensolids erkennen, entfernen und erzeugen. Dabei werden nur diejenigen Verrundungen erkannt, deren Radien innerhalb eines angegebenen Bereiches liegen. Durch Kombinieren von Operationen werden ähnliche Ränder in der Legende in einer einzigen Operation zusammen verrundet.

Finden, Entfernen und Erzeugen von Bohrungen an einem Solidkörper

Mit Hilfe der Funktion „Features finden“ können Sie Durchgangsbohrungen und Sacklochbohrungen bei Zwischensolids identifizieren, entfernen und erzeugen. Dabei werden nur Bohrungen erkannt, deren Radien innerhalb eines angegebenen Bereiches liegen. Durch Kombinieren von Operationen werden mehrere Ketten in einer Schnittaustragungs-Operation zusammengefasst.

Beim Finden und Neu-Erzeugen von Bohrungen in einem einzelnen Face erkennt Mastercam die Konturen des Faces, durch das die Bohrung verläuft. Durchdringt eine Bohrung mehrere Faces, versucht Mastercam ein Face zu verlängern und die Bohrung in einer einzelnen Ebene zu verschließen. Kann Mastercam die Bohrung nicht neu erzeugen, schlägt die Operation fehl.

Verwandte Themen

  • Dialogfeld „Features finden“


Dialogfeld &bdquo;Referenzface selektieren“

Dialogfeld „Referenzface selektieren“

In diesem Dialogfeld können Sie durch alle möglichen Referenzfaces auf den Solids schalten, bis Sie das gewünschte erreichen. Das Dialogfeld „Referenzface selektieren“ wird angezeigt wenn Sie ein Face, einen Rand oder eine Schleife auf einem Solid verketten. Das Referenzface bestimmt, wo die Kette auf dem Solid platziert wird. Jeder Solidrand besitzt zwei mögliche Referenzfaces.

Wenn Sie einen Rand zum Verketten markieren, wird das voreingestellte Referenzface hervorgehoben und das Dialogfeld „Referenzface selektieren“ eingeblendet. Klicken Sie auf Anderes Face, um die Auswahl zwischen den beiden Randfaces umzuschalten. Klicken Sie auf OK, wenn das korrekte Referenzface hervorgehoben ist.

Dieses Dialogfeld erscheint auch, wenn Sie auf einem Solid entweder durch die Methode Fasen - 2 Abstände... oder die Methode Fasen - Abstand und Winkel... eine Fase erzeugen und eine Kante zum Anfasen auswählen. Sie müssen dann ein Referenzface auswählen, das zur Berechnung der resultierenden Fase verwendet wird. Das Referenzface kann eines der beiden, auch Randfaces genannten, Faces sein, die an die gewählte Kante angrenzen.

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!


Dialogfeld &bdquo;Solid verschieben“

Dialogfeld „Solid verschieben“

Sie haben ein Solid-Element für eine Transform (X-Form)-Verschiebungs-Operation ausgewählt, ohne die Drahtmodellgeometrie auszuwählen, die das Solid definiert.

In diesem Dialogfeld können Sie festlegen, ob die Basis-Drahtmodellgeometrie automatisch mit dem Solid ausgewählt und verschoben werden soll. Sie können jedoch auch bestimmen, dass diese Geometrie an der ursprünglichen Position des Solids bleiben soll.

Wenn Sie die Drahtmodellgeometrie nicht verschieben, erzeugt Mastercam für das transformierte Solid auf seiner neuen Position eine neue Basisgeometrie.

  • Wählen Sie Ja, um das Solid und seine Basis-Drahtmodellgeometrie zu verschieben.

  • Wählen Sie Nein, um die Basis-Drahtmodellgeometrie des Solids auf seiner Originalposition zu lassen und mit dem Solid auf der neuen Position eine neue Basisgeometrie zu erzeugen.

  • Wenn dieses Dialogfeld während der aktuellen Mastercam-Sitzung unterdrückt werden soll, markieren Sie das Kontrollkästchen “In dieser Sitzung nicht noch einmal zeigen“. In der gesamten Sitzung verwendet Mastercam die Option, die in dem Dialogfeld zuletzt ausgewählt wurde (Ja / Nein), wenn Solid-Elemente in weiteren Transform-Operationen verschoben werden.

Weitere Informationen zu...

  • Dialogfeld „Skalierung“

  • Dialogfeld „Spiegeln“

  • Dialogfeld „Versatz“

  • Dialogfeld „Kopieren“

Kommentare oder Fragen zu diesem Thema? Schreiben Sie uns!